package cn.com.tenlion.configcontent.pojo.dtos.contentlike;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentLikeDTO
 * @Description: CBC内容管理点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:39:38
 * @Version: 3.0
 **/
@ApiModel
public class ContentLikeDTO {

    @ApiModelProperty(name = "contentLikeId", value = "点赞ID")
    private String contentLikeId;
    @ApiModelProperty(name = "businessId", value = "业务表ID")
    private String businessId;
    @ApiModelProperty(name = "projectId", value = "项目ID")
    private String projectId;
    @ApiModelProperty(name = "contentLikeUserName", value = "点赞人姓名")
    private String contentLikeUserName;
    @ApiModelProperty(name = "contentLikeUserIcon", value = "点赞人头像")
    private String contentLikeUserIcon;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getProjectId() {
        return projectId == null ? "" : projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getContentLikeId() {
        return contentLikeId == null ? "" : contentLikeId.trim();
    }

    public void setContentLikeId(String contentLikeId) {
        this.contentLikeId = contentLikeId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentLikeUserName() {
        return contentLikeUserName == null ? "" : contentLikeUserName.trim();
    }

    public void setContentLikeUserName(String contentLikeUserName) {
        this.contentLikeUserName = contentLikeUserName;
    }

    public String getContentLikeUserIcon() {
        return contentLikeUserIcon == null ? "" : contentLikeUserIcon.trim();
    }

    public void setContentLikeUserIcon(String contentLikeUserIcon) {
        this.contentLikeUserIcon = contentLikeUserIcon;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
